# xoxys.pam
  
[![Build Status](https://drone.rknet.org/api/badges/ansible/xoxys.pam/status.svg)](https://drone.rknet.org/ansible/xoxys.pam)


Configure pam stack

## Table of content

* [Default Variables](#default-variables)
  * [pam_settings](#pam_settings)
  * [pam_settings_extra](#pam_settings_extra)
* [Dependencies](#dependencies)
* [License](#license)
* [Author](#author)

---

## Default Variables

### pam_settings

#### Default value

```YAML
pam_settings:
  - type: auth
    control: sufficient
    module_arguments:
      - try_first_pass
  - type: password
    control: sufficient
    module_arguments:
      - sha512
      - shadow
      - try_first_pass
      - use_authtok
```

### pam_settings_extra

#### Default value

```YAML
pam_settings_extra: []
```

## Dependencies

None.

## License

MIT

## Author

[xoxys](https://gitea.rknet.org/xoxys)
